# GET /auto-schedules/:schedule_id/runs

**Resource:** [Auto Schedules](./auto-schedules.md)  
**MCP tool:** `list_auto_schedule_runs`  
**Scopes:** `schedules:read`  
**Write operation:** no

List historical runs of an event schedule.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `schedule_id` | path | string | yes |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/auto-schedules/:schedule_id/runs"   -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": [
    {
      "id": "d4e5f6a7-...",
      "schedule_id": "a1b2c3d4-...",
      "company_id": "ebeff86e-...",
      "fired_at": "2026-04-18T23:00:00Z",
      "completed_at": "2026-04-18T23:00:02Z",
      "status": "completed",
      "audience_size": 11,
      "runs_triggered": 11,
      "runs_failed": 0,
      "error_message": null,
      "created_at": "2026-04-18T23:00:00Z"
    }
  ],
  "pagination": { "limit": 25, "has_more": false, "next_cursor": null },
  "meta": { "credits_remaining": 9983 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`